
eXtplorer - PHP-based File Manager - Fehler #332

standalone extplorer webdav does not work with PHP7

11/08/2016 09:52 AM - Daniel Roche

Status: Gelöst   

Priority: Normal   

Assignee:    

Category: Feature   

Target version: 2.1.10   

eXtplorer Version: 2.1.4 Joomla! Version: none

Description

webdav use the mysql_connect function wich is no longer available in PHP 7 !

History

#1 - 11/08/2016 11:06 AM - Daniel Roche

- File Filesystem.php added

Hello Again,

i have modified libraries/HTTP/WebDAV/Server/Filesystem.php to use mysqli extension rather than mysql.

I usually use PDO for mysql, but i was much easier/faster to use mysqli in this case.

i ran some test, it seems to work correctly on PHP 7 !

you will find the modified file attached,  it may help.

Regards

#2 - 12/10/2016 10:18 PM - Sören Eberhardt-Biermann

- Category set to Feature

- Status changed from Neu to Gelöst

- Target version set to 2.1.10

thank you very much for these changes! will be available in the next release.

Files

Filesystem.php 30 KB 11/08/2016 Daniel Roche
